svn commit: r217266 - in user/nwhitehorn/bsdinstall: . release
Nathan Whitehorn
nwhitehorn at FreeBSD.org
Tue Jan 11 14:33:11 UTC 2011
Author: nwhitehorn
Date: Tue Jan 11 14:33:10 2011
New Revision: 217266
URL: http://svn.freebsd.org/changeset/base/217266
Log:
Make a 'release' directory for those things not actually part of bsdinstall
that would eventually show up in /usr/src/release.
Added:
user/nwhitehorn/bsdinstall/release/
user/nwhitehorn/bsdinstall/release/rc.local
- copied unchanged from r217258, user/nwhitehorn/bsdinstall/rc.local
user/nwhitehorn/bsdinstall/release/testsystem.sh
- copied unchanged from r217257, user/nwhitehorn/bsdinstall/testsystem.sh
Deleted:
user/nwhitehorn/bsdinstall/rc.local
user/nwhitehorn/bsdinstall/testsystem.sh
Copied: user/nwhitehorn/bsdinstall/release/rc.local (from r217258, user/nwhitehorn/bsdinstall/rc.local)
==============================================================================
--- /dev/null 00:00:00 1970 (empty, because file is newly added)
+++ user/nwhitehorn/bsdinstall/release/rc.local Tue Jan 11 14:33:10 2011 (r217266, copy of r217258, user/nwhitehorn/bsdinstall/rc.local)
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+: ${DIALOG_OK=0}
+: ${DIALOG_CANCEL=1}
+: ${DIALOG_HELP=2}
+: ${DIALOG_EXTRA=3}
+: ${DIALOG_ITEM_HELP=4}
+: ${DIALOG_ESC=255}
+
+TERM=xterm; export TERM # XXX: serial consoles
+
+cdialog --backtitle "FreeBSD Installer" --title "Welcome" --extra-button --extra-label "Shell" --ok-label "Install" --cancel-label "Live CD" --yesno "Welcome to FreeBSD! Would you like to begin an installation or use the live CD?" 0 0
+
+case $? in
+$DIALOG_OK) # Install
+ BSDINSTALL_CONFIGCURRENT=yes; export BSDINSTALL_CONFIGCURRENT
+ trap true SIGINT # Ignore cntrl-C here
+ bsdinstall
+ reboot
+ ;;
+$DIALOG_CANCEL) # Live CD
+ exit 0
+ ;;
+$DIALOG_EXTRA) # Shell
+ /bin/sh
+ . /etc/rc.local
+ ;;
+esac
+
Copied: user/nwhitehorn/bsdinstall/release/testsystem.sh (from r217257, user/nwhitehorn/bsdinstall/testsystem.sh)
==============================================================================
--- /dev/null 00:00:00 1970 (empty, because file is newly added)
+++ user/nwhitehorn/bsdinstall/release/testsystem.sh Tue Jan 11 14:33:10 2011 (r217266, copy of r217257, user/nwhitehorn/bsdinstall/testsystem.sh)
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+# testsystem.sh <scratch directory> <dists directory> <output iso>
+
+mkdir $2
+
+# Kernel package
+cd /usr/src
+mkdir $1
+make installkernel DESTDIR=$1
+cd $1
+tar cvzf $2/kernel.tgz .
+chflags -R noschg .
+rm -rf $1
+
+# Distribution
+cd /usr/src
+mkdir $1
+make distrib-dirs distribution DESTDIR=$1
+cd $1
+tar cvzf $2/distribution.tgz .
+chflags -R noschg .
+rm -rf $1
+
+# World
+cd /usr/src
+mkdir $1
+make installworld DESTDIR=$1
+cd $1
+tar cvzf $2/world.tgz .
+# Keep world around
+
+# Make system
+cd /usr/src
+make installkernel distribution DESTDIR=$1
+mkdir $1/var/dist
+cp $2/kernel.tgz $2/world.tgz $2/distribution.tgz $1/var/dist
+
+# Things for the CD environment
+ln -s /tmp/bsdinstall_etc/resolv.conf $1/etc/resolv.conf
+echo kernel_options=\"-C\" > $1/boot/loader.conf
+echo sendmail_enable=\"NONE\" > $1/etc/rc.conf
+
+# cdialog is not called dialog yet, except here
+ln -s /usr/bin/dialog $1/usr/bin/cdialog
+
+#mkisoimages.sh -b FreeBSD_Install $3 $1
More information about the svn-src-user
mailing list